;EasyCodeName=RandomNumberCode,1
.Const

.Data?
ResultingRandomNumber DWord ?
Rand_Seed1		DWord ?

.Data
bufferRandomNumber Byte 128 Dup(?)
szRightBuffer Byte 16 Dup(?)

.Code
Randomizer Proc
Invoke InitRandNum
Mov Ebx, Eax
Invoke GetRandNum
	Ret
Randomizer EndP

;
; Initialize random numbers
;
; syntax :
; call InitRandNum
;
; Return:
; eax = number of ticks since the beginning
;
InitRandNum PROC
		push ecx
		push edx

		invoke GetTickCount
		test eax,eax
		jnz Label1
		mov eax,123456789
Label1:	Mov Rand_Seed1,Eax

		pop edx
		pop ecx
	ret
InitRandNum EndP
Align 16
;
; generate a random number between 0 and max value - 1
;
; syntax :
; mov ebx,Range
; call GetRandNum
;
; return :
; eax = the random number
;
GetRandNum PROC
		push edx

		mov eax,987654321
		Mul Rand_Seed1
		bswap eax
		xor eax,078787878h
		jnz Label1
		mov eax,123456789
Label1:	Mov Rand_Seed1,Eax
		cmp ebx,1
		je Label2
		mul ebx
		mov eax,edx
Label2:
		Pop Edx

	ret
GetRandNum ENDP